Bug 1429401 - Update oVirt SDK to version 4.1.z
Summary: Update oVirt SDK to version 4.1.z
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.8.0
Assignee: Juan Hernández
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On:
Blocks: 1442774
TreeView+ depends on / blocked
 
Reported: 2017-03-06 10:07 UTC by Juan Hernández
Modified: 2017-06-14 06:23 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1442774 (view as bug list)
Environment:
Last Closed: 2017-05-31 14:38:46 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Juan Hernández 2017-03-06 10:07:37 UTC
Currently the oVirt provider uses version 4.0.z of the oVirt Ruby SDK. This version of the SDK works correctly with version 4.0 of oVirt, but it can't use the new features introduced in version 4.1 of oVirt, which was recently released.

In addition, even if no new oVirt 4.1 feature is used by ManageIQ, version 4.0.z of the SDK does not understand new enum values introduced in oVirt 4.1, which may cause issues for users upgrading their oVirt environments before upgrading their ManageIQ environments. This has been addressed in version 4.1.z of the SDK, and also in version >= 4.0.12.

As version 4.1.z of the SDK is backwards compatible with 4.0.z, upgrading to 4.1.z is safe. If that is considered risky, for whatever the reason, then it should be updated to 4.0.12 at least.

Comment 2 Juan Hernández 2017-04-17 07:20:07 UTC
The pull request that addressed this issue is this one:

  Update oVirt SDK to 4.1.z
  https://github.com/ManageIQ/manageiq/pull/14146

Comment 4 Nandini Chandra 2017-04-27 20:01:02 UTC
Verified in 5.8.0.11

Comment 6 errata-xmlrpc 2017-05-31 14:38:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.